Wallets, tokens & networks

Get Token Types

Lists org token types with network and test-transaction config, filtered by network, payroll type and enabled flag.

GEThttps://api.toku.com/tga/get-token-types

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-token-types' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "tokenTypes": [
    {
      "orgID": "string",
      "name": "string",
      "createdAt": "string",
      "currencyCode": "string",
      "address": "string",
      "tokenTypeID": "string",
      "networkID": "string",
      "coinMarketCapID": "string",
      "icon": "string",
      "enabledForPayrollType": "string",
      "decimalPlaces": 0,
      "isTokenEnabled": true,
      "isContractorDefault": true,
      "defaultTokenSlug": "string",
      "catalogTokenDeploymentID": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
tokenTypesarray | null
Show child attributes
orgIDstring | null
namestring | null
createdAtstring | null
currencyCodestring | null
addressstring | null
tokenTypeIDstring | null
networkIDstring | null
coinMarketCapIDstring | null
iconstring | null
enabledForPayrollTypestring | null
decimalPlacesnumber | null
isTokenEnabledboolean | null
isContractorDefaultboolean | null
defaultTokenSlugstring | null
catalogTokenDeploymentIDstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits